#define INIFILE "CD2MP3PM.INI"
#define CFGFILE "cd2mp3pm.cfg"

#define CD2MP3_STOP		 100
#define CD2MP3_STOPPED	 400

#define PB_CONVERT 50
#define PB_STOP	 51

/* for grabbers & encoders */

typedef enum {VIO, VDM, WIN32OS2} APPTYPE;

typedef struct
{
	char id[64];
	char exe[128];
   APPTYPE type;
	char input[32];
	char output[32];
	char mangling[32];
	char before[64];
	char after[64];
	BOOL acceptsOutput;
	BOOL noDrive;
} GRABBER;

typedef struct
{
	char id[64];
	char exe[128];
   APPTYPE type;
	char input[32];
	char output[32];
	char lq[64];
	char hq[64];
	char before[64];
	char after[64];
	char bitrate[32];
	int  bitrateMath;
	BOOL bitratePerChannel;
	BOOL acceptsOutput;
} ENCODER;


/* for dialogs */

USHORT getBitRate(void);
extern int bitRateChanged;

typedef struct
{
	RECORDCORE record;
   char type[8]; /* data or audio */
   char time[8];
   char *timepointer; /* kludge */
   char *typepointer; /* kludge */
   BOOL data;
   ULONG track;
   ULONG size;
   ULONG channels;
   ULONG mp3size;
} CDTRACKRECORD;

typedef struct
{
	RECORDCORE record;
   char type[8]; /* format in string */
   char time[8];
   char *timepointer; /* kludge */
   char *typepointer; /* kludge */
   ULONG format;
   ULONG bits;
   ULONG samplerate;
   ULONG channels;
   ULONG size;
	ULONG mp3size;
} WAVRECORD;
